Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361377 - [abrt] file-roller: extraction_is_finished(): file-roller killed by SIGSEGV
Summary: [abrt] file-roller: extraction_is_finished(): file-roller killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller
Version: 24
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7580ca50bef1f7ea2ad4e0a9d9a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-29 01:20 UTC by Yonatan
Modified: 2017-08-08 16:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:01:18 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-29 01:20 UTC, Yonatan
no flags Details
File: cgroup (deleted)
2016-07-29 01:20 UTC, Yonatan
no flags Details
File: core_backtrace (deleted)
2016-07-29 01:20 UTC, Yonatan
no flags Details
File: dso_list (deleted)
2016-07-29 01:20 UTC, Yonatan
no flags Details
File: environ (deleted)
2016-07-29 01:20 UTC, Yonatan
no flags Details
File: exploitable (deleted)
2016-07-29 01:21 UTC, Yonatan
no flags Details
File: limits (deleted)
2016-07-29 01:21 UTC, Yonatan
no flags Details
File: maps (deleted)
2016-07-29 01:21 UTC, Yonatan
no flags Details
File: mountinfo (deleted)
2016-07-29 01:21 UTC, Yonatan
no flags Details
File: namespaces (deleted)
2016-07-29 01:21 UTC, Yonatan
no flags Details
File: open_fds (deleted)
2016-07-29 01:21 UTC, Yonatan
no flags Details
File: proc_pid_status (deleted)
2016-07-29 01:21 UTC, Yonatan
no flags Details
File: var_log_messages (deleted)
2016-07-29 01:22 UTC, Yonatan
no flags Details

Description Yonatan 2016-07-29 01:20:12 UTC
Version-Release number of selected component:
file-roller-3.20.2-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        file-roller /home/yona/.wine/drive_c/users/yona/Temp/MaxthonCrashData/1469741150/0E8F652E54C4385188D007DA90E5D11127740000_1469741152.zip
crash_function: extraction_is_finished
executable:     /usr/bin/file-roller
global_pid:     15885
kernel:         4.1.6-201.fc22.i686
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 extraction_is_finished at fr-window.c:4489
 #6 wait_dnd_extraction at fr-window.c:4527
 #7 fr_window_file_list_drag_data_get at fr-window.c:4714
 #8 fr_list_model_multi_drag_data_get at fr-list-model.c:87
 #12 g_signal_emit_by_name at gsignal.c:3481
 #13 gtk_drag_selection_get at gtkdnd.c:3179
 #17 g_signal_emit_by_name at gsignal.c:3481
 #18 gtk_selection_invoke_handler at gtkselection.c:3067
 #19 _gtk_selection_request at gtkselection.c:2454
 #20 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:131

Potential duplicate: bug 1211124

Comment 1 Yonatan 2016-07-29 01:20:27 UTC
Created attachment 1185332 [details]
File: backtrace

Comment 2 Yonatan 2016-07-29 01:20:31 UTC
Created attachment 1185333 [details]
File: cgroup

Comment 3 Yonatan 2016-07-29 01:20:37 UTC
Created attachment 1185334 [details]
File: core_backtrace

Comment 4 Yonatan 2016-07-29 01:20:46 UTC
Created attachment 1185335 [details]
File: dso_list

Comment 5 Yonatan 2016-07-29 01:20:57 UTC
Created attachment 1185336 [details]
File: environ

Comment 6 Yonatan 2016-07-29 01:21:07 UTC
Created attachment 1185337 [details]
File: exploitable

Comment 7 Yonatan 2016-07-29 01:21:11 UTC
Created attachment 1185338 [details]
File: limits

Comment 8 Yonatan 2016-07-29 01:21:22 UTC
Created attachment 1185339 [details]
File: maps

Comment 9 Yonatan 2016-07-29 01:21:32 UTC
Created attachment 1185340 [details]
File: mountinfo

Comment 10 Yonatan 2016-07-29 01:21:44 UTC
Created attachment 1185341 [details]
File: namespaces

Comment 11 Yonatan 2016-07-29 01:21:53 UTC
Created attachment 1185342 [details]
File: open_fds

Comment 12 Yonatan 2016-07-29 01:21:56 UTC
Created attachment 1185343 [details]
File: proc_pid_status

Comment 13 Yonatan 2016-07-29 01:22:07 UTC
Created attachment 1185344 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-07-25 22:07:24 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 16:01:18 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.